function [x_final,y_final,head_final]=angular_motion(init_position,head_position,circle_size,step_size)

 position=init_position;

 destination=[1,1]; % while girsin diye yaptim
%  draw_arrow(init_position(1),init_position(2),head_position,1,[0 1 0]);
%  angle =0 
%  circle_size=pi/8;
if ( init_position(1) > 0 && init_position(2) > 0) % first region
   angle = atan(init_position(2)/init_position(1));
elseif ( init_position(1) > 0 && init_position(2) < 0) %4th region
    angle = (2*pi) + atan(init_position(2)/init_position(1));
elseif ( init_position(1) < 0 ) % second region 
    angle = atan(init_position(2)/init_position(1)) + pi;
end
init_angle =angle;
scale = sqrt(init_position(1)^2+init_position(2)^2);

while true
    figure(2)

    y=sin(angle)*scale
    x=cos(angle)*scale
     angle=angle + step_size;
    if angle > circle_size
        break
    end
   

    
    destination=[x(1) y(1) ];
    
    draw_arrow(x(1),y(1),head_position,1,[0 1 0]);
    
    % simdi bu noktada kafasi nerede onu bakcaz
    % daha sonra bu kafa posiyonu draw_arrowun 3. parametersi
    % olcusunda carpaz bolcez fln
    
    %only for pi
    frontal_speed= x(1) - position(1);
    lateral_speed= y(1) - position(2);
    alpha= head_position;
    vf= frontal_speed*cos(-alpha)-lateral_speed*sin(-alpha) % yeni x
    vl=frontal_speed*sin(-alpha)+lateral_speed*cos(-alpha)  % yeni y
  
    
    
    plot(destination(1),destination(2),'--rs','LineWidth',2,...
        'MarkerEdgeColor','k',...
        'MarkerFaceColor','r',...
        'MarkerSize',10)
    
    % yolculuk desired_position - position olacak
    
    h1 = [position ; destination];
   plot(h1(:,1),h1(:,2),'b-');
    
        
    
    try %#ok<TRYNC>
        close(1)
    end
  
    
    [vt,omega_w,vn] = TriskarOdometry(250, 24.6, pi/6, vf,vl,0,1)
    
    
    position = destination;
%     getpts;
end
x_final= x;
y_final= y;
head_final= head_position;
init_angle = (180 / pi) * init_angle